- Qt 5.15
- Qt Widgets
- C++ Classes
- QStyleOption
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QStyleOption

The following members of class QStyleOption are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | init(const QWidget *widget)

## Member Function Documentation

### void QStyleOption::init(const QWidget *widget)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use initFrom(widget) instead.